#!/bin/bash

set -euo pipefail
set -x

: "${WORKSPACE:=/usr/src/arvados}"

export GEM_HOME="$(mktemp --directory --tmpdir gems.XXXXXX)"
trap 'rm -rf "$GEM_HOME"' EXIT ERR
export GEM_PATH="$GEM_HOME"

gem_install() {
    gem install --no-document "$(ls -t "$WORKSPACE/$1"/*.gem  | head -n1)"
}

gem_uninstall() {
    gem uninstall --force --all --executables "$@"
}

gem_install sdk/ruby-google-api-client
gem_install sdk/ruby
gem_install sdk/cli
gem_uninstall arvados-google-api-client
gem list "^arv"
gem_uninstall arvados
gem_install sdk/ruby-google-api-client
gem_install sdk/ruby
gem_install services/login-sync
